echo off

echo Nezavirejte toto okno dokud neskonci instalace!
echo Instalaci musite spustit s pravy administratora

REM ----------------------------------------------------------------------------
REM Odstraneni NonPersistentCaching
REM ----------------------------------------------------------------------------

reg query "HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters" /v "NonPersistentCaching" 2>nul 1>nul && (
    reg delete "HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters" /v "NonPersistentCaching" /f
)


REM --------------------------------------------------------------------------
REM 64bit
REM --------------------------------------------------------------------------

echo %processor_architecture% | findstr 64>nul || (
echo Toto je 64 bitovy instalacni balicek, vy mate 32 bitovy operacni system
echo Pouzijte prosim 32 bitovy instalacni balicek.
echo Instalace bude nyni ukoncena.
exit 1
)


REM --------------------------------------------------------------------------
REM instalace kerbera
REM --------------------------------------------------------------------------

echo Kerberos
start /WAIT msiexec /i kfw-3-2-2.msi /norestart /q
start /WAIT msiexec /i kfw-amd64-3-2-2.msi /norestart /q


REM --------------------------------------------------------------------------
REM kopirovani ini souboru s nastavenimi
REM --------------------------------------------------------------------------

echo Nastaveni kerbera
xcopy krb5.ini "%WINDIR%" /Y /R /C
xcopy krb5.ini "C:\Program Files\MIT\Kerberos\" /Y /R /C
xcopy krb5.ini "C:\Program Files (x86)\MIT\Kerberos\" /Y /R /C


REM --------------------------------------------------------------------------
REM instalace kerberosiho registru
REM --------------------------------------------------------------------------

regedit /s kerberos.reg


REM --------------------------------------------------------------------------
REM instalace vlastniho AFS klienta
REM --------------------------------------------------------------------------

echo AFS klient
start /WAIT msiexec /i openafs-en_US-64bit-1-7-0300.msi /norestart /qb-!


REM --------------------------------------------------------------------------
REM kopirovani cellservDB upraveny pro zcu.cz
REM --------------------------------------------------------------------------

echo Nastaveni AFS klienta
xcopy /R /Y "cellservdb" "c:\program files\openafs\client\"
xcopy /R /Y "cellservdb" "c:\program files (x86)\openafs\client\"


REM --------------------------------------------------------------------------
REM importuje se nastaveni klienta pro zcu.cz do registru
REM --------------------------------------------------------------------------

regedit /s openafs.reg


REM --------------------------------------------------------------------------
REM Instalace NetIDmgr 2.0
REM --------------------------------------------------------------------------

echo NetIDmgr
start /WAIT msiexec /i netidmgr-AMD64-rel-2_0_102_907.msi /norestart /qb-!


REM --------------------------------------------------------------------------
REM vypisy
REM --------------------------------------------------------------------------

echo.
echo Stisknutim libovolne klavesy restartujete pocitac
echo pokud nechcete restartovat, zavrete toto okno.
pause

shutdown -r -f -t 0